inverse_radon.c File Reference

NFFT-based discrete inverse Radon transform. More...

`#include <stdio.h>`
`#include <math.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <complex.h>`
`#include "nfft3mp.h"`
Include dependency graph for inverse_radon.c:

Go to the source code of this file.

## Macros

#define | NFFT_PRECISION_DOUBLE
#define | KERNEL(r) (NFFT_K(1.0)-NFFT_M(fabs)((NFFT_R)(r))/((NFFT_R)S/2))
| define weights of kernel function for discrete Radon transform

## Functions

static int | polar_grid (int T, int S, NFFT_R *x, NFFT_R *w)
| generates the points x with weights w for the polar grid with T angles and R offsets
static int | linogram_grid (int T, int S, NFFT_R *x, NFFT_R *w)
| generates the points x with weights w for the linogram grid with T slopes and R offsets
static int | inverse_radon_trafo (int(*gridfcn)(), int T, int S, NFFT_R *Rf, int NN, NFFT_R *f, int max_i)
| computes the inverse discrete Radon transform of Rf on the grid given by gridfcn() with T angles and R offsets by a NFFT-based CG-type algorithm
int | main (int argc, char **argv)
| simple test program for the inverse discrete Radon transform

## Detailed Description

NFFT-based discrete inverse Radon transform.

Computes the inverse of the discrete Radon transform

given at the points of the polar or linogram grid and where are the weights of the Dirichlet- or Fejer-kernel by 1D-FFTs and the 2D-iNFFT.

Author
  Markus Fenn

Date
  2005

Definition in file inverse_radon.c.